local _logger = require("logging")
local _core = require("core")
local _storage = require("storage")

_logger.info("Protocols plugin teardown")

_logger.info("Delete devices")
_core.remove_gateway_devices((_core.get_gateway() or {}).id)

_logger.info("Clear storage")
_storage.delete_all()

_G.ezlo_protocols = nil

_logger.info("Teardown complete")
